Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 10 Nov 2020 23:43:33 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Sir/Madam,

I have been following up with your help dept. over the phone for the past month and a half. I have only received partial delivery of my order order number 8204986221, the part that I received was the sippy cup oct 1st. I received a message no phone call on Oct. 7th informing me that I have received my order. I did not receive my order.

I have been calling the help number since Oct. 7th, but no help has been provided in the form of a refund or a shipping. Everytime I call they tell me they'll call the warehouse, or the delivery company, and never follow up.

Please help, else I'll be forced to invoke legal help from our government's customer protection authority. It has been one month and nothing is happening.

Thanks for your time,

Mohammad Aljassim
order # 8204986221 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1671732